# Uses of Enum Class
javafx.scene.shape.CullFace

Packages that use CullFace
Package
Description
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of CullFace in javafx.scene.shape

Methods in javafx.scene.shape that return CullFace
Modifier and Type
Method
Description
`final CullFace`
Shape3D.`getCullFace()`
Gets the value of the `cullFace` property.
`static CullFace`
CullFace.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CullFace[]`
CullFace.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type CullFace
Modifier and Type
Method
Description
`final ObjectProperty<CullFace>`
Shape3D.`cullFaceProperty()`
Defines the cullFace this `Shape3D`.
Methods in javafx.scene.shape with parameters of type CullFace
Modifier and Type
Method
Description
`final void`
Shape3D.`setCullFace(CullFace value)`
Sets the value of the `cullFace` property.